/* Prototypes for functions defined in
C/Utils.c
 */

char * strncpy(char * , char const * , size_t );

char * __builtin_strcpy(char * , char const * );

long ahtoi(char * );

void * MyAllocVec(unsigned long , unsigned long , int );

void MyFreeVec(void * );

LONG Command(NODE * , char * );

DISKOBJECT * GetProgramIcon(void);

void ToggleFastMode(void);

void ToggleAskingMode(void);

void ToggleTextFormatter(void);

void ToggleSortMode(void);

void ToggleWorkingBar(void);

void ToggleSpeakMode(void);

void ToggleAutoFront(void);

void ToggleMouseWindow(void);

void ToggleTopazFont(void);

void AddNodeSorted(LIST * , NODE * , int );

void AddNodeToList(int , int , int );

void CreateEntryList(int , int );

char * B2CStr(char * , BSTR );

void savestrcpy(char * , NODE * , int , int );

NODE * GetNode(LIST * , ULONG );

long SizeOfFile(char * );

int SizeOfDir(BPTR , long * , int * );

RSYS_ScrollEntry * AllocScrollEntries(int );

long getdisktype(BPTR );

void FreeBytes(char * , long * , long * , long * , char * , char * );

int exist(char * );

void quit(int );

int Question(WINDOW * , char * , int );

void OpenLibs(void);

void CloseLibs(void);

void CloseAll(void);

